import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const ListItemIcon = /*@__PURE__*/ proxyCustomElement(class ListItemIcon extends HTMLElement {
    constructor(registerHost) {
        super();
        if (registerHost !== false) {
            this.__registerHost();
        }
        /**
         * If `true` the icon is on the right side of the list item. Default is the left side.
         */
        this.right = false;
    }
    render() {
        return (h(Host, { key: 'a260b7e90eb381a23de3181688a8445eed735701', class: {
                'bal-list__item__icon': true,
                'bal-list__item__icon--right': this.right,
            } }, h("slot", { key: '9b34490944c48da6666883e7b7d4cb0ec6097e53' })));
    }
}, [260, "bal-list-item-icon", {
        "right": [4]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["bal-list-item-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "bal-list-item-icon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, ListItemIcon);
            }
            break;
    } });
}

export { ListItemIcon as L, defineCustomElement as d };
